kind: Deployment
apiVersion: apps/v1
metadata:
  name: kubeapp-canary
spec:
  replicas: 1
  selector:
    matchLabels:
      app: kubeapp  
  template:
    metadata:
      name: kubeapp
      labels:
        app: kubeapp
        env: canary
    spec:
      containers:
      - name: kubeapp
        image: europe-west6-docker.pkg.dev/airy-timing-381311/myrepo-tangara/app:2.0
        imagePullPolicy: Always
        readinessProbe:
          httpGet:
            path: /health
            port: 8080
        command: ["/app"]
        ports:
        - name: kubeapp
          containerPort: 8080